## org.codehaus.groovy.antlr.treewalker
Class MindMapPrinter

An antlr AST visitor that prints a format suitable for viewing in http://freemind.sourceforge.net

author:
  Jeremy Rayner

version:
  $Revision: 8794 $

Field Summary
`int` | `depth`
`PrintStream` | `out`
`SourceBuffer` | `sourceBuffer`
`def` | `tokenNames`

Constructor Summary
`MindMapPrinter(PrintStream out, def tokenNames)` A visitor that prints a format suitable for viewing in http://freemind.sourceforge.net
`MindMapPrinter(PrintStream out, def tokenNames, SourceBuffer sourceBuffer)`

Method Summary
`String` | `escape(String name)`
`String` | `getColour(GroovySourceAST t)`
`String` | `getFolded(GroovySourceAST t)`
`String` | `getName(GroovySourceAST t)`
`void` | `setUp()`
`void` | `tearDown()`
`void` | `visitDefault(GroovySourceAST t, int visit)`

Constructor Detail

### MindMapPrinter

    public MindMapPrinter(PrintStream out, def tokenNames)

  A visitor that prints a format suitable for viewing in http://freemind.sourceforge.net
  param:
    out where to print the mindmap file contents to
  param:
    tokenNames an array of token names from antlr

### MindMapPrinter

    public MindMapPrinter(PrintStream out, def tokenNames, SourceBuffer sourceBuffer)

Method Detail

### escape

    String escape(String name)

### getColour

    String getColour(GroovySourceAST t)

### getFolded

    String getFolded(GroovySourceAST t)

### getName

    String getName(GroovySourceAST t)

### setUp

    public void setUp()

### tearDown

    public void tearDown()

### visitDefault

    public void visitDefault(GroovySourceAST t, int visit)